Bug 26686

Summary: Sorting for "Updated on" broken on patron's "Notices" tab
Product: Koha Reporter: Séverine Queune <severine.queune>
Component: PatronsAssignee: Katrin Fischer <katrin.fischer>
Status: RESOLVED FIXED QA Contact: Testopia <testopia>
Severity: normal    
Priority: P5 - low CC: aleisha, gmcharlt, kyle.m.hall, lucas, stefan.berndtsson
Version: masterKeywords: Academy
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06
Attachments: Bug 26686: Fix sorting of "updated on" and "time created" on notices tab
Bug 26686: Fix sorting of "updated on" and "time created" on notices tab
Bug 26686: Fix sorting of "updated on" and "time created" on notices tab

Description Séverine Queune 2020-10-15 08:36:59 UTC
On the "Notices" tab on patron account, it's not possible to sort the table using the "Updated on" column (seen on Master and 20.05).
Maybe it should be on another bug, but it seems more relevant to me if this table is sort on the most recent notices first.
Comment 1 Katrin Fischer 2020-10-15 09:07:19 UTC
Hi Severine, linking this to the bug where I created the column.
Comment 2 Katrin Fischer 2020-10-15 09:21:18 UTC
Oh - I was thinking of another updated on column! Removing link, wasn't my fault!  :)
Comment 3 Katrin Fischer 2020-10-21 00:00:07 UTC
Created attachment 112082 [details] [review]
Bug 26686: Fix sorting of "updated on" and "time created" on notices tab

In the patron's account in the staff interface there is a tab
'Notices' that shows all notices sent out to a patron. The
updated on column would not sort at all, but there was also some
markup missing for the time created column.

To test:
- Make sure you have a patron account with some notices, ideally
  with different times and dates
- Verify that the updated on column doesn't sort at all
- Apply patch
- Verify both date columns now sort correctly for different
  DateFormat settings
Comment 4 Séverine Queune 2020-10-23 10:14:34 UTC
Created attachment 112244 [details] [review]
Bug 26686: Fix sorting of "updated on" and "time created" on notices tab

In the patron's account in the staff interface there is a tab
'Notices' that shows all notices sent out to a patron. The
updated on column would not sort at all, but there was also some
markup missing for the time created column.

To test:
- Make sure you have a patron account with some notices, ideally
  with different times and dates
- Verify that the updated on column doesn't sort at all
- Apply patch
- Verify both date columns now sort correctly for different
  DateFormat settings

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 Nick Clemens 2020-10-24 02:20:07 UTC
Created attachment 112360 [details] [review]
Bug 26686: Fix sorting of "updated on" and "time created" on notices tab

In the patron's account in the staff interface there is a tab
'Notices' that shows all notices sent out to a patron. The
updated on column would not sort at all, but there was also some
markup missing for the time created column.

To test:
- Make sure you have a patron account with some notices, ideally
  with different times and dates
- Verify that the updated on column doesn't sort at all
- Apply patch
- Verify both date columns now sort correctly for different
  DateFormat settings

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Jonathan Druart 2020-10-25 23:08:28 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-11-13 20:26:04 UTC
backported to 20.05.x for 20.05.06
Comment 8 Aleisha Amohia 2020-11-17 04:38:41 UTC
enhancement, not backported to 19.11.x